## org.codehaus.plexus.personality.plexus.lifecycle.phase
Interface ServiceLocator

    public interface ServiceLocator

Provides services to components by means of a lookup.

Author:
  Dan Diephouse

Method Summary
`boolean` `hasComponent(java.lang.String componentKey)`
`boolean` `hasComponent(java.lang.String role, java.lang.String roleHint)`
`java.lang.Object` `lookup(java.lang.String componentKey)`
`java.lang.Object` `lookup(java.lang.String role, java.lang.String roleHint)`
`java.util.List` `lookupList(java.lang.String role)`
`java.util.Map` `lookupMap(java.lang.String role)`
`void` `release(java.lang.Object component)`
`void` `releaseAll(java.util.List components)`
`void` `releaseAll(java.util.Map components)`

Method Detail

### lookup

    java.lang.Object lookup(java.lang.String componentKey)
                            throws ComponentLookupException

  Throws:
    `ComponentLookupException`

### lookup

    java.lang.Object lookup(java.lang.String role,
                            java.lang.String roleHint)
                            throws ComponentLookupException

  Throws:
    `ComponentLookupException`

### lookupMap

    java.util.Map lookupMap(java.lang.String role)
                            throws ComponentLookupException

  Throws:
    `ComponentLookupException`

### lookupList

    java.util.List lookupList(java.lang.String role)
                              throws ComponentLookupException

  Throws:
    `ComponentLookupException`

### release

    void release(java.lang.Object component)
                 throws ComponentLifecycleException

  Throws:
    `ComponentLifecycleException`

### releaseAll

    void releaseAll(java.util.Map components)
                    throws ComponentLifecycleException

  Throws:
    `ComponentLifecycleException`

### releaseAll

    void releaseAll(java.util.List components)
                    throws ComponentLifecycleException

  Throws:
    `ComponentLifecycleException`

### hasComponent

    boolean hasComponent(java.lang.String componentKey)

### hasComponent

    boolean hasComponent(java.lang.String role,
                         java.lang.String roleHint)

Copyright © 2011. All Rights Reserved.